ResourceManagerImpl (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.bus.resource, class: ResourceManagerImpl

Package org.apache.cxf.bus.resource

# Class ResourceManagerImpl

java.lang.Object
org.apache.cxf.resource.DefaultResourceManager
org.apache.cxf.bus.resource.ResourceManagerImpl

All Implemented Interfaces:
  `BusExtension`, `ResourceManager`

public class ResourceManagerImpl extends DefaultResourceManager implements BusExtension

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.resource.DefaultResourceManager

  `firstCalled, registeredResolvers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceManagerImpl()`
  `ResourceManagerImpl(Bus b)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getRegistrationType()`
  `protected void`
  `onFirstResolve()`
  `final void`
  `setBus(Bus b)`
  `final void`
  `setResolvers(List<? extends ResourceResolver> resolvers)`
  Set the list of resolvers for this resource manager.

  ### Methods inherited from class org.apache.cxf.resource.DefaultResourceManager

  `addResourceResolver, addResourceResolvers, getResourceAsStream, getResourceResolvers, removeResourceResolver, resolveResource, resolveResource`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourceManagerImpl

    public ResourceManagerImpl()

  - ### ResourceManagerImpl

    public ResourceManagerImpl(Bus b)

- ## Method Details

  - ### onFirstResolve

    protected void onFirstResolve()
    Overrides:
      `onFirstResolve` in class `DefaultResourceManager`

  - ### setResolvers

    public final void setResolvers(List<? extends ResourceResolver> resolvers)
    Set the list of resolvers for this resource manager.
    Parameters:
      `resolvers` -

  - ### setBus

    public final void setBus(Bus b)

  - ### getRegistrationType

    public Class<?> getRegistrationType()
    Specified by:
      `getRegistrationType` in interface `BusExtension`